Bug 727708 - Createrepo dependency problem
Summary: Createrepo dependency problem
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: createrepo
Version: 15
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 23:51 UTC by Chihau Chau
Modified: 2016-09-20 02:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:53:43 UTC


Attachments (Terms of Use)

Description Chihau Chau 2011-08-02 23:51:59 UTC
Description of problem:

I am trying to install the createrepo package version createrepo-0.9.9-4.fc15.noarch, but these require yum >= 3.2.29-8. I have installed in my system (Fedora 15 64 bits) the last stable version of yum yum-3.2.29-7.fc15.noarch.

How reproducible:
yum install createrepo
  
Actual results:

[root@localhost boot]# yum install createrepo
Loaded plugins: presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package createrepo.noarch 0:0.9.9-4.fc15 will be installed
--> Processing Dependency: yum >= 3.2.29-8 for package: createrepo-0.9.9-4.fc15.noarch
--> Finished Dependency Resolution
Error: Package: createrepo-0.9.9-4.fc15.noarch (updates)
           Requires: yum >= 3.2.29-8
           Installed: yum-3.2.29-7.fc15.noarch (@updates)
               yum = 3.2.29-7.fc15
           Available: yum-3.2.29-4.fc15.noarch (fedora)
               yum = 3.2.29-4.fc15
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 1 Fedora End Of Life 2012-08-07 16:53:45 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.